import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconDownload = (props: IconProps) => {
    return <Icon  id="IconDownload" {...props}>
        <path d="M12.9958 3C12.9958 2.44772 12.5481 2 11.9958 2C11.4436 2 10.9958 2.44772 10.9958 3V13.5816L8.20711 10.7929C7.81658 10.4024 7.18342 10.4024 6.79289 10.7929C6.40237 11.1834 6.40237 11.8166 6.79289 12.2071L11.2365 16.6507C11.4199 16.8645 11.6921 17 11.9958 17L11.9979 17C12.2545 17.0005 12.5113 16.9029 12.7071 16.7071L17.2071 12.2071C17.5976 11.8166 17.5976 11.1834 17.2071 10.7929C16.8166 10.4024 16.1834 10.4024 15.7929 10.7929L12.9958 13.5899V3Z" />
        <path d="M21 11C21.5523 11 22 11.4477 22 12V21C22 21.5523 21.5523 22 21 22H3C2.44772 22 2 21.5523 2 21V12.0042C2 11.4519 2.44772 11.0042 3 11.0042C3.55228 11.0042 4 11.4519 4 12.0042V20H20V12C20 11.4477 20.4477 11 21 11Z" />
    </Icon>;
};

export default IconDownload;
